Name:           kafs-utils
Version:        0.2
Release:        2%{?dist}
Summary:        AFS utilities using the in-kernel kafs/rxrpc calls

License:        GPL2
URL:            http://git.infradead.org/users/dhowells/kafs-utils.git/shortlog/refs/heads/pythonify
Source0:        %{name}-%{version}.tar.gz

BuildArch:      x86_64
BuildRequires:  python3-devel, python3-ply, krb5-devel, gcc
Requires:       python3-dns

%description
These are libraries, python modules and command line utilities for accessing
and manipulating AFS servers.  These use Linux AF_RXRPC sockets as the
transport, doing all the RxRPC protocol and security stuff in the kernel.

%prep
%autosetup
# Fix location of afs_rxrpc transport library
sed -i 's!/usr/local/lib64!%{_libdir}!' kafs/main.py
# fix paths in bash completion
sed -i 's!\./kafs/bash-comp-helper.py!/usr/libexec/kafs-utils/bash-comp-helper.py!' bash_complete

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build

# build af_rxrpc transport library
pushd af_rxrpc
%make_build
popd

%install
rm -rf $RPM_BUILD_ROOT
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

pushd af_rxrpc
%{__install} -D -p -m 0644 kafs_af_rxrpc.so $RPM_BUILD_ROOT/%{_libdir}
popd

# Bash completions
%{__install} -D -p -m 0644 bash_complete $RPM_BUILD_ROOT/etc/bash_completion.d/afs
%{__install} -D -p -m 0755 kafs/bash-comp-helper.py $RPM_BUILD_ROOT/%{_libexecdir}/kafs-utils/bash-comp-helper.py

%files
%license LICENCE.GPL
%doc README.txt SUBMITTING_PATCHES TODO
# For arch-specific packages: sitearch
%{python3_sitearch}/*
# af_rxrpc library
%{_libdir}/kafs_af_rxrpc.so
# Main executable
%{_bindir}/afs
# bash completion
/etc/bash_completion.d/afs
%{_libexecdir}/kafs-utils/bash-comp-helper.py


%changelog
* Tue Feb  6 2018 Jonathan S. Billings <jsbillin@umich.edu>
- initial build
